Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SysQueriesRowOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SysQueriesRow`, `ClientWireProtocol.SysQueriesRow.Builder`

Enclosing class:
  ClientWireProtocol

public static interface ClientWireProtocol.SysQueriesRowOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getDatabase()`
`string database = 9;`
`ByteString`
`getDatabaseBytes()`
`string database = 9;`
`float`
`getEffectivePriority()`
`float effective_priority = 2;`
`int`
`getElapsedTimeSec()`
`int32 elapsed_time_sec = 6;`
`long`
`getEstimatedResultRows()`
`int64 estimated_result_rows = 12;`
`long`
`getEstimatedResultSize()`
`int64 estimated_result_size = 13;`
`int`
`getEstimatedTimeSec()`
`int32 estimated_time_sec = 3;`
`float`
`getInitialEffectivePriority()`
`float initial_effective_priority = 17;`
`float`
`getInitialPriority()`
`float initial_priority = 16;`
`float`
`getPriorityAdjustFactor()`
`float priority_adjust_factor = 18;`
`int`
`getPriorityAdjustTime()`
`uint32 priority_adjust_time = 19;`
`String`
`getQueryId()`
`string query_id = 1;`
`ByteString`
`getQueryIdBytes()`
`string query_id = 1;`
`String`
`getQueryServer()`
`string query_server = 8;`
`ByteString`
`getQueryServerBytes()`
`string query_server = 8;`
`String`
`getRemoteIP()`
`string remoteIP = 10;`
`ByteString`
`getRemoteIPBytes()`
`string remoteIP = 10;`
`long`
`getSentBytes()`
`int64 sent_bytes = 15;`
`long`
`getSentRows()`
`int64 sent_rows = 14;`
`String`
`getServiceClass()`
`string service_class = 11;`
`ByteString`
`getServiceClassBytes()`
`string service_class = 11;`
`String`
`getSqlText()`
`string sql_text = 5;`
`ByteString`
`getSqlTextBytes()`
`string sql_text = 5;`
`String`
`getStatus()`
`string status = 7;`
`ByteString`
`getStatusBytes()`
`string status = 7;`
`String`
`getUserid()`
`string userid = 4;`
`ByteString`
`getUseridBytes()`
`string userid = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getQueryId

String getQueryId()
`string query_id = 1;`

Returns:
  The queryId.

### getQueryIdBytes

ByteString getQueryIdBytes()
`string query_id = 1;`

Returns:
  The bytes for queryId.

### getEffectivePriority

float getEffectivePriority()
`float effective_priority = 2;`

Returns:
  The effectivePriority.

### getEstimatedTimeSec

int getEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

Returns:
  The estimatedTimeSec.

### getUserid

String getUserid()
`string userid = 4;`

Returns:
  The userid.

### getUseridBytes

ByteString getUseridBytes()
`string userid = 4;`

Returns:
  The bytes for userid.

### getSqlText

String getSqlText()
`string sql_text = 5;`

Returns:
  The sqlText.

### getSqlTextBytes

ByteString getSqlTextBytes()
`string sql_text = 5;`

Returns:
  The bytes for sqlText.

### getElapsedTimeSec

int getElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

Returns:
  The elapsedTimeSec.

### getStatus

String getStatus()
`string status = 7;`

Returns:
  The status.

### getStatusBytes

ByteString getStatusBytes()
`string status = 7;`

Returns:
  The bytes for status.

### getQueryServer

String getQueryServer()
`string query_server = 8;`

Returns:
  The queryServer.

### getQueryServerBytes

ByteString getQueryServerBytes()
`string query_server = 8;`

Returns:
  The bytes for queryServer.

### getDatabase

String getDatabase()
`string database = 9;`

Returns:
  The database.

### getDatabaseBytes

ByteString getDatabaseBytes()
`string database = 9;`

Returns:
  The bytes for database.

### getRemoteIP

String getRemoteIP()
`string remoteIP = 10;`

Returns:
  The remoteIP.

### getRemoteIPBytes

ByteString getRemoteIPBytes()
`string remoteIP = 10;`

Returns:
  The bytes for remoteIP.

### getServiceClass

String getServiceClass()
`string service_class = 11;`

Returns:
  The serviceClass.

### getServiceClassBytes

ByteString getServiceClassBytes()
`string service_class = 11;`

Returns:
  The bytes for serviceClass.

### getEstimatedResultRows

long getEstimatedResultRows()
`int64 estimated_result_rows = 12;`

Returns:
  The estimatedResultRows.

### getEstimatedResultSize

long getEstimatedResultSize()
`int64 estimated_result_size = 13;`

Returns:
  The estimatedResultSize.

### getSentRows

long getSentRows()
`int64 sent_rows = 14;`

Returns:
  The sentRows.

### getSentBytes

long getSentBytes()
`int64 sent_bytes = 15;`

Returns:
  The sentBytes.

### getInitialPriority

float getInitialPriority()
`float initial_priority = 16;`

Returns:
  The initialPriority.

### getInitialEffectivePriority

float getInitialEffectivePriority()
`float initial_effective_priority = 17;`

Returns:
  The initialEffectivePriority.

### getPriorityAdjustFactor

float getPriorityAdjustFactor()
`float priority_adjust_factor = 18;`

Returns:
  The priorityAdjustFactor.

### getPriorityAdjustTime

int getPriorityAdjustTime()
`uint32 priority_adjust_time = 19;`

Returns:
  The priorityAdjustTime.